.TH setservent() "" "" "Sockets Function (libsocket)"
.PC "Open the services file"
.PP
.B "#include <netdb.h>"
\fBint setservent(\fIstayopen\^\fB)\fR
\fBint \fIstayopen\^\fB;\fR
.PP
Function
.B setservent()
opens or rewinds file
.BR /etc/services ,
which describes the services offered by TCP/IP on your local network.
If flag
.I stayopen
is set to a non-zero value,
.B /etc/services
is not closed after each call to
.B getservbyport()
or
.BR getservbyname() .
.SH "See Also"
.Xr "getservbyname()," getservbn
.Xr "getservbyport()," getservbp
.Xr "getservent()," getserven
.Xr "endservent()," endserven
.Xr "libsocket," libsocket
.Xr "netdb.h" netdb.h
